cereal::detail::StaticObject< T >::LockGuard Class Reference

A class that acts like std::lock_guard. More...

`#include </build/libcereal-5WjGYR/libcereal-1.3.2+dfsg/include/cereal/details/static_object.hpp>`

## Public Member Functions

| LockGuard (LockGuard const &)=default

## Detailed Description

template<class T>
class cereal::detail::StaticObject< T >::LockGuard

A class that acts like std::lock_guard.

The documentation for this class was generated from the following file:

- static_object.hpp